SplFileObject::fpassthru
SplFileObject::fseek
SplFileObject
PHP Manual

# SplFileObject::fscanf

(PHP 5 >= 5.1.0)

SplFileObject::fscanf — Parses input from file according to a format

### Description

public mixed SplFileObject::fscanf ( string `$format` [, mixed `&$...` ] )

Reads a line from the file and interprets it according to the specified `format`, which is described in the documentation for sprintf().

Any whitespace in the `format` string matches any whitespace in the line from the file. This means that even a tab \t in the format string can match a single space character in the input stream.

### Parameters

`format`

  The specified format as described in the sprintf() documentation.

`...`

  The optional assigned values.

### Return Values

If only two parameters were passed to this method, the values parsed will be returned as an array. Otherwise, if optional parameters are passed, the function will return the number of assigned values. The optional parameters must be passed by reference.

### Examples

Example #1 SplFileObject::fscanf example

`<?php
$file = new SplFileObject("misc.txt");
while ($userinfo = $file->fscanf("%s %s %s")) {
list ($name, $profession, $countrycode) = $userinfo;
// Do something with $name $professi
}
?>`

Contents of users.txt

    javier   argonaut    pe
    hiroshi  sculptor    jp
    robert   slacker     us
    luigi    florist     it

### See Also

- fscanf() - Parses input from a file according to a format

SplFileObject::fpassthru
SplFileObject::fseek
SplFileObject
PHP Manual